<template>
  <div class="main">
    <div class="title-wrapper">
      <h1>Vue3🖼️ + Vite⚡️ +Typescript🛠️ </h1>
      <h1>starter</h1>
    </div>

    <blockquote>
      Internationalized message => {{ t('hello') }}
    </blockquote>
    <div class="lang-switcher">
      <button @click="handleSwitchLocale('fr')">
        🇫🇷
      </button>
      <button @click="handleSwitchLocale('en')">
        🇺🇸
      </button>
    </div>

    <HButton @click="handleClick">
      Counter: {{ counter }}
    </HButton>

    <QBtn @click="handleClick">
      Quasar Button {{ counter }}
    </QBtn>
  </div>
</template>

<script setup lang="ts">
import { QBtn } from "quasar";
import { ref } from "vue";
import { useI18n } from "vue-i18n";

import { HButton } from "@cogifor/histoire";

const { t, locale } = useI18n();
const counter = ref(0);

const handleSwitchLocale = (lang: string): void => {
  locale.value = lang;
};

const handleClick = (): void => {
  counter.value++;
};

</script>

<style lang="scss" scoped>

.main {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 20px;
  height: 100%;
  justify-content: center;
  width: 100%;

  blockquote {
    border-left: 0.25em solid #dfe2e5;
    color: #24292e;
    margin: 0;
    padding: 0 1em;
  }

  .title-wrapper {
    align-items: center;
    display: flex;
    flex-direction: column;
    gap: 5px;
    justify-content: center;

    h1 {
      margin: 0;
    }
  }

}
</style>

<style lang="scss">
html,
#app,
body {
  height: 100%;
  width: 100%;
}

:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  font-weight: 400;
  line-height: 1.5;

}
</style>
